#!/usr/bin/env python3

import csv
import re
import json

with open('tables/ascii.json') as f:
  table = json.load(f)

with open('UnicodeData-13.0.0d5.txt') as f:
  for row in csv.reader(f, delimiter=';'):
    code, desc, cclass = row[:3]
    if cclass != 'Lm': continue
    m = re.match(r'^MODIFIER LETTER SMALL [A-Z]$', desc)
    if not m: continue
    cp = chr(int(code, 16))
    char = desc[-1].lower()

    if not cp in table:
      print('"\\u' + code + '": { "math": "^{' + char + '}", "text": "\\\\textsuperscript{' + char + '}" },')
